### Method

# Adw Carouselinsert

#### Declaration [src]

    void
    adw_carousel_insert (
      AdwCarousel* self,
      GtkWidget* child,
      int position
    )

#### Description [src]

Inserts `child` into `self` at position `position`.

If position is -1, or larger than the number of pages, `child` will be appended to the end.

#### Parameters

`child`

  Type: `GtkWidget`

  A widget to add.

  The data is owned by the caller of the method.

`position`

  Type: `int`

  The position to insert `child` at.